@charset "utf-8";

/* スクロールデザイン */
::-webkit-scrollbar {
  width: 0;
  height: 0;
}
::-webkit-scrollbar-track {
  background-color: transparent;
}
::-webkit-scrollbar-thumb {
  background-color: #e86273;
}
/* --------------------------- */

body {
  width: 100%;
  max-width: 460px;
  margin: 0 auto;
  background-color: #111111;
  user-select: none;
  position: relative;
}
body#preview .mainContainer {
  padding-bottom: 70px;
}
body .mainContainer {
  padding-bottom: 70px;
  transition: padding 0.3s;
}

footer {
  position: fixed;
  bottom: 15px;
  right: 50%;
  transform: translate(50%, 0);
  z-index: 1001;
  width: calc(100% - (10px + 20px + 25px + 20px));
  max-width: 460px;
  height: 20px;
  padding: 0 10px;
  text-align: end;
  font-size: 12px;
}
footer.publicFooter {
  bottom: 0;
  width: 100%;
  height: auto;
  padding: 5px 10px;
}
footer.publicFooter #copyright {
  display: inline-block;
  width: auto;
  white-space: nowrap;
  position: relative;
  z-index: 1002;
}
footer #copyright a {
  text-decoration: underline;
}

.setHeight {
  height: calc(var(--dvh, 1vh) * 100);
}

/* ポップアップメッセージ */
.popupMessage {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 10000;
  width: calc(100% - 40px);
  max-width: 480px;
  min-height: 35px;
  padding: 10px;
  background-color: rgb(255, 255, 255, 0.8);
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  color: #111111;
}
.popupMessage.display {
  opacity: 1;
  visibility: visible;
  transition: opacity 0.3s 0.1s, visibility 0.1s;
}
.popupMessage.hidden {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.1s 0.3s;
}
.popupMessage .message {
  line-height: 1.5;
  white-space: normal;
  word-break: break-all;
  font-size: 14px;
}

/* 言語変更 */
.changeLang {
  position: fixed;
  right: 10px;
  z-index: 10000;
  width: 90px;
  height: 25px;
  background-color: #ffffff;
  box-shadow: 0 0 9px -1px rgb(17, 17, 17, 0.6) inset;
  border-radius: 100px;
  font-size: 12px;
}
.changeLang.hidden {
  top: -120px;
  opacity: 0;
  visibility: hidden;
  transition: top 0.3s, right 0.3s, opacity 0.1s 0.3s, visibility 0.1s 0.3s;
}
.changeLang.display {
  top: 10px;
  opacity: 1;
  visibility: visible;
  transition: top 0.3s 0.1s, right 0.3s 0.1s opacity 0.1s, visibility 0.1s;
}
.changeLang select {
  width: 100%;
  height: 100%;
  padding: 0 15px;
  border-radius: 100px;
}

/* プレビュー時の戻るボタン */
.returnBtn {
  position: fixed;
  bottom: 10px;
  left: 10px;
  z-index: 1020;
  display: none;
  justify-content: center;
  align-items: center;
  width: 160px;
  height: 50px;
  background-color: rgb(232, 98, 115, 0.9);
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  font-size: 14px;
  font-weight: 700;
  color: #ffffff;
}
#preview .returnBtn {
  display: flex;
}

.mainContainer .item {
  display: block;
}
.mainContainer .item.linkContent {
  text-decoration: underline;
}

/* ユーザーアクション */
.userAction {
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 1001;
  display: flex;
  justify-content: start;
  align-items: end;
  width: 100%;
  height: 60px;
  padding: 0 10px 15px;
  background: linear-gradient(180deg, rgb(17, 17, 17, 0) 0%, rgba(17, 17, 17, 0.4) 100%);
}
.userAction.display {
  bottom: 0;
  opacity: 1;
  visibility: visible;
  transition: bottom 0.3s 0.1s, opacity 0.1s, visibility 0.1s;
}
.userAction.hidden {
  bottom: -95px;
  opacity: 0;
  visibility: hidden;
  transition: bottom 0.3s, opacity 0.1s 0.3s, visibility 0.1s 0.3s;
}
.userAction button.actionBtn {
  display: block;
  width: 25px;
  height: 25px;
  margin-right: 25px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  position: relative;
}
.userAction button.favoriteBtn {
  background-image: url(../img/icon-keep-page.svg);
}
.userAction button.shareBtn {
  background-image: url(../img/icon-share-page.svg);
}
.userAction button.favoriteBtn::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(../img/icon-favorite-page.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  opacity: 0;
  transition: opacity 0.3s;
}
.userAction button.favoriteBtn.added::before {
  opacity: 0;
}
.userAction button.favoriteBtn.notAdded::before {
  opacity: 1;
}

/* ログインフォーム */
.loginForm {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1010;
  width: 100%;
  background-color: rgb(17, 17, 17, 0.4);
}
.loginForm.hidden {
  left: -100%;
  opacity: 0;
  visibility: hidden;
  transition: left 0.1s 0.3s, opacity 0.3s, visibility 0.1s 0.3s;
}
.loginForm.display {
  left: 0;
  opacity: 1;
  visibility: visible;
  transition: left 0.1s, opacity 0.3s 0.1s, visibility 0.1s;
}
.loginForm .innerline {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% - 20px);
  padding: 20px 15px;
  background-color: #ffffff;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
}
.loginForm .form {
  width: 100%;
  position: relative;
}
.loginForm .form h2 {
  text-align: center;
  font-size: 18px;
  font-weight: 700;
}
.loginForm .form .parts {
  margin-top: 15px;
  background-color: #ffffff;
  box-shadow: 0 0 9px -1px rgb(17, 17, 17, 0.6) inset;
  border-radius: 10px;
}
.loginForm .form .part {
  padding-top: 25px;
  position: relative;
}
.loginForm .form label {
  position: absolute;
  top: 10px;
  left: 10px;
  font-size: 12px;
  font-weight: 700;
  color: rgb(17, 17, 17, 0.6);
}
.loginForm .form .parts input {
  width: 100%;
  height: 50px;
  padding-inline-start: 10px;
}
.loginForm .form .parts input.userId {
  border-bottom: 1px solid rgb(17, 17, 17, 0.1);
}
.loginForm .form .signInBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 45px;
  margin-top: 20px;
  background-color: #e86273;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  color: #ffffff;
}
.loginForm .form .note {
  margin-top: 30px;
}
.loginForm .form .note li {
  margin-top: 10px;
  line-height: 1.5;
  font-size: 14px;
}

/* クッキーフォーム */
.cookieForm {
  position: fixed;
  top: 0;
  z-index: 1010;
  width: 100%;
  background-color: rgb(17, 17, 17, 0.6);
}
.cookieForm.hidden {
  left: -100%;
  opacity: 0;
  visibility: hidden;
  transition: left 0.1s 0.3s, opacity 0.3s, visibility 0.1s 0.3s;
}
.cookieForm.display {
  left: 0;
  opacity: 1;
  visibility: visible;
  transition: left 0.1s, opacity 0.3s 0.1s, visibility 0.1s;
}
.cookieForm .innerline {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% - 20px);
  padding: 20px 15px;
  background-color: #ffffff;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  line-height: 1.5;
  font-size: 14px;
}
.cookieForm h2 {
  text-align: center;
  font-size: 18px;
  font-weight: 700;
}
.cookieForm .message {
  margin-top: 15px;
}
.cookieForm ul li {
  margin-top: 10px;
}
.cookieForm p {
  margin-top: 10px;
}
.cookieForm .cookieAccept {
  display: flex;
  justify-content: center;
  align-items: center;
}
.cookieForm .cookieAccept.allow {
  width: 100%;
  height: 45px;
  margin-top: 20px;
  background-color: #e86273;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  color: #ffffff;
}
.cookieForm .cookieAccept.later {
  display: flex;
  justify-content: end;
  align-items: center;
  margin: 30px 0 0 auto;
  position: relative;
}
.cookieForm .cookieAccept.later::before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #111111;
  border-radius: 100px;
}

/* 利用規約 */
.legalPage {
  max-width: 660px;
  margin: 0 auto;
  padding-bottom: 60px;
  font-size: 14px;
  color: #ffffff;
}
/* 戻るボタン */
.legalPage .returnBtn {
  position: fixed;
  top: 10px;
  left: 10px;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 95px;
  height: 35px;
  padding-left: 24px;
  background-color: rgb(255, 255, 255, 0.2);
  border: 2px solid #ffffff;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 100px;
}
.legalPage .returnBtn::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translate(0, -50%);
  width: 14px;
  height: 14px;
  background-image: url(../img/icon-return-left.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}
/* 各内容 */
.legalPage section.article  {
  padding: 60px 10px 15px;
  position: relative;
}
.legalPage section.article::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 0);
  width: calc(100% - 20px);
  height: 2px;
  background-color: rgb(255, 255, 255, 0.8);
}
.legalPage h1.title {
  padding: 60px 0 0;
  text-align: center;
  font-size: 24px;
}
.legalPage h2 {
  margin-bottom: 10px;
  padding: 10px 0;
  font-size: 20px;
  position: relative;
}
.legalPage h2::before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: rgb(255, 255, 255, 0.2);
}
.legalPage h2::after {
  content: '';
  position: absolute;
  top: -5px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: rgb(255, 255, 255, 0.2);
}
.legalPage p {
  line-height: 1.7;
}
.legalPage ol {
  list-style: decimal;
  padding-left: 1.5em;
}
.legalPage ul {
  list-style: disc;
  padding-left: 1.5em;
}
.legalPage li {
  margin-top: 15px;
  line-height: 1.7;
}
/* 制定・改定日 */
.legalPage .dateOfEnactment {
  display: flex;
  justify-content: end;
  align-items: start;
  flex-wrap: wrap;
  padding: 60px 0;
}
.legalPage .dateOfEnactment dl {
  display: flex;
  justify-content: start;
  align-items: center;
  flex-wrap: wrap;;
  width: 155px;
}
.legalPage .dateOfEnactment dt,
.legalPage .dateOfEnactment dd {
  height: 35px;
}
.legalPage .dateOfEnactment dt {
  width: 60px;
}
.legalPage .dateOfEnactment dd {
  width: calc(100% - 60px);
}
.legalPage .dateOfEnactment p {
  margin-top: 20px;
}
/* フッター */
footer.legalFooter {
  width: 100%;
  text-align: center;
  color: #ffffff;
  position: relative;
}
/* 特商法 */
.legalPage.tokusho .bizData dt {
  display: flex;
  justify-content: start;
  align-items: center;
  height: 35px;
}
.legalPage.tokusho .bizData dd {
  display: flex;
  justify-content: start;
  align-items: center;
  height: 50px;
  border-bottom: 1px solid rgb(255, 255, 255, 0.1);
}
.legalPage.tokusho p {
  margin-top: 10px;
}

/* ヘルプページ */
#help {
  max-width: none;
  overflow: hidden;
  color: #ffffff;
}
.helpPage {
  max-width: 620px;
  height: calc(100% - 35px);
  margin: 0 auto;
  padding-top: 80px;
}
/* ヘッダー */
.helpPage .topHeader {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 80px;
}
.helpPage .topHeader .logo {
  display: block;
  width: 95px;
  height: 100%;
  background-image: url(../logo/sublogo-transparent.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.helpPage .topHeader .returnBtn {
  position: absolute;
  top: 25px;
  left: 10px;
  display: block;
  width: 30px;
  height: 30px;
  background-image: url(../img/icon-return-left.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: 20px;
  background-color: transparent;
}
/* トップコンテンツ */
.helpPage .topContents {
  height: 85px;
  padding: 30px 0;
}
.helpPage .topContents .supportMessage {
  text-align: center;
  font-size: 24px;
  position: relative;
}
.helpPage .topContents .supportMessage span {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 1s;
}
.helpPage .topContents .supportMessage span.display {
  opacity: 1;
}
/* キーワード入力 */
.helpPage .sortKeyword {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 85px;
  padding: 0 10px 10px;
}
.helpPage .sortKeyword .inputBlock {
  width: 100%;
  height: 100%;
  padding: 15px 10px;
  background-color: rgb(255, 255, 255, 0.1);
  border: 1px solid rgb(255, 255, 255, 0.1);
  border-radius: 10px;
}
.helpPage .sortKeyword .inputKeyword {
  display: block;
  width: 100%;
  height: 100%;
  background-color: #ffffff;
  border-radius: 100px;
  position: relative;
}
.helpPage .sortKeyword input {
  width: 100%;
  height: 100%;
  padding: 0 15px;
  box-shadow: 0 0 8px 1px rgb(17, 17, 17, 0.6) inset;
  border-radius: 100px;
  color: #111111;
  position: relative;
  z-index: 1;
}
.helpPage .sortKeyword .placeholder {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
  z-index: 0;
  display: flex;
  justify-content: start;
  align-items: center;
  width: 100%;
  height: 100%;
  padding-left: 15px;
  opacity: 1;
  visibility: visible;
  color: rgb(17, 17, 17, 0.6);
  transition: opacity 1s;
}
.helpPage .sortKeyword .placeholder.fadeOut {
  opacity: 0;
}
.helpPage .sortKeyword .placeholder.hidden {
  visibility: hidden;
}
/* ヘルプリスト */
.helpPage .helpList {
  height: calc(100% - (85px + 85px + 60px));
  padding: 0 10px 0;
}
.helpPage .helpList .list {
  width: 100%;
  height: 100%;
  padding: 10px 0;
  background-color: rgb(255, 255, 255, 0.1);
  border: 1px solid rgb(255, 255, 255, 0.1);
  border-radius: 10px;
}
.helpPage .helpList ul {
  width: 100%;
  height: 100%;
  padding: 10px;
  overflow-x: hidden;
  overflow-y: scroll;
}
.helpPage .helpList ul::-webkit-scrollbar {
  width: 3px;
  height: 0;
}
.helpPage .helpList li {
  height: 90px;
  margin-top: 15px;
  border-bottom: 1px solid rgb(255, 255, 255, 0.1);
  position: relative;
}
.helpPage .helpList .categories {
  position: absolute;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: start;
  align-items: center;
  width: 100%;
  height: 35px;
  padding: 5px 130px 5px 0;
}
.helpPage .helpList .category {
  height: 100%;
  margin-right: 5px;
  padding: 5px 10px;
  background-color: #e86273;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  text-transform: capitalize;
  font-size: 12px;
  font-weight: 700;
}
.helpPage .category.cards {
  background-color: #c56a2e !important;
}
.helpPage .category.scan {
  background-color: #bebd4b !important;
}
.helpPage .category.pages {
  background-color: #30b039 !important;
}
.helpPage .category.ai {
  background-color: #e86273 !important;
}
.helpPage .category.app {
  background-color: #646464 !important;
}
.helpPage .category.payment {
  background-color: #495db7 !important;
}
.helpPage .category.data {
  background-color: #b23bc7 !important;
}
.helpPage .helpList .helpText {
  height: calc(100% - 40px);
  line-height: 1.7;
  overflow: hidden;
  font-size: 14px; 
}
.helpPage .helpList .selectAction {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 80px;
  padding-bottom: 10px;
  text-align: center;
  font-size: 14px;
}
.helpPage .helpList .selectAction .selectBtn {
  position: relative;
}
.helpPage .helpList .selectAction .selectBtn::before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #ffffff;
  border-radius: 10px;
}
/* ヘルプ内容 */
.helpPage .helpWindow {
  position: fixed;
  top: 0;
  z-index: 10001;
  width: 100%;
  padding: 50px 25px;
  background-color: rgb(17, 17, 17, 0.6);
}
.helpPage .helpWindow.display {
  left: 0;
  opacity: 1;
  visibility: visible;
  transition: left 0.1s, opacity 0.3s 0.1s, visibility 0.1s;
}
.helpPage .helpWindow.hidden {
  left: 100%;
  opacity: 0;
  visibility: hidden;
  transition: left 0.1s 0.3s, opacity 0.3s, visibility 0.1s 0.3s;
}
.helpPage .helpWindow .innerline {
  width: 100%;
  height: 100%;
  padding: 20px 0;
  background-color: #111111;
  border: 1px solid rgb(255, 255, 255, 0.1);
  border-radius: 10px;
  position: relative;
}
.helpPage .helpWindow .closeBtn {
  position: absolute;
  top: -10px;
  right: -10px;
  width: 25px;
  height: 25px;
  background-image: url(../img/icon-content-close.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: 20px;
  background-color: #111111;
  border: 2px solid #ffffff;
  border-radius: 100px;
}
.helpPage .helpWindow .window {
  width: 100%;
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
}
.helpPage .helpWindow .window::-webkit-scrollbar {
  width: 3px;
  height: 0;
}
.helpPage .helpWindow .top {
  min-height: 120px;
  padding: 20px 10px 50px;
  position: relative;
}
.helpPage .helpWindow .top::before {
  content: '';
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: rgb(255, 255, 255, 0.1);
}
.helpPage .helpWindow .category {
  position: absolute;
  bottom: 5px;
  left: 10px;
  display: flex;
  justify-content: start;
  align-items: center;
  height: 30px;
  padding: 5px 10px;
  background-color: #e86273;
  box-shadow: 2px 2px 5px -2px rgb(17, 17, 17, 0.6);
  border-radius: 10px;
  text-transform: capitalize;
  font-size: 12px;
  font-weight: 700;
}
.helpPage .helpWindow .subject {
  line-height: 1.7;
}
.helpPage .helpWindow .answer {
  height: calc(100% - 120px);
  padding: 40px 10px;
  white-space: pre-line;
  line-height: 1.7;
}
.helpPage .helpWindow .answer a {
  text-decoration: underline;
}
/* 表示言語選択 */
.helpPage .changeLang {
  position: relative;
  margin-left: auto;
  color: #111111;
}
.helpPage .changeLang.hidden {
  top: 10px;
  right: -100px;
}
/* フッター */
footer.helpFooter {
  max-width: none;
}